=== debian/changelog ===
f2j (0.8.1-2) unstable; urgency=low

  * debian/copyright: Add missing statement on non commercial usage

 -- Olivier Sallou <osallou@debian.org>  Thu, 24 May 2012 14:25:02 +0200

f2j (0.8.1-1) unstable; urgency=low

  [ Olivier Sallou ] 
  * Initial release (Closes: #657184)
  * Move to non-free, license modification to DFSG compliant license
    in progress

  [ Thorsten Alteholz ]
  * debian/rules: target get-orig-source added

 -- Olivier Sallou <osallou@debian.org>  Tue, 24 Jan 2012 17:34:50 +0100
