=== debian/control ===
Source: f2j
Section: non-free/java
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), default-jdk, bison, javahelper
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/f2j/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/f2j/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/f2j/
XS-Autobuild: yes

Package: f2j
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fortran to Java compiler
 The package contains a Fortran to Java converter, also used
 to create the libf2j-java package.
 It converts Fortran file to Java source and class files.


Package: libf2j-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java library port of Fortran numerical libraries
 The package provides the Java library (APIS)
 to numerical libraries originally
 written in Fortran (particularly BLAS and LAPACK).
