=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@

override_dh_auto_install:
	jh_installlibs --package=libf2j-java util/f2jutil.jar


override_dh_auto_build:
	dh_auto_build

override_dh_clean:
	dh_clean

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs
