## f2j 0.8.1%2Bdfsg

=== debian/changelog ===
f2j (0.8.1+dfsg-4) unstable; urgency=medium

  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Drop useless get-orig-source target
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Sat, 12 Jan 2019 07:44:30 +0100

f2j (0.8.1+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Chris West (Faux) ]
  * (Closes:#873979): fix build on java 9 by updating
    replace_printfformat.patch and choosing VER_TARGET=1.8.

  [ Markus Koschany ]
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Thu, 26 Oct 2017 01:02:45 +0200

f2j (0.8.1+dfsg-2) unstable; urgency=medium

  * cme fix dpkg-control
  * upload to unstable (main)
  * better hardening

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2016 13:41:01 +0200

f2j (0.8.1+dfsg-1) experimental; urgency=medium

  * Remove non-free parts from the code and upload to main
  * Moved packaging from Debian Med SVN to Debian Java Git
  * debhelper 9
  * cme fix dpkg-control
  * DEP5 fixes
  * Fix some spelling issues
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jan 2016 15:47:50 +0100
