=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@

override_dh_auto_install:
	jh_installlibs --package=libf2j-java util/f2jutil.jar


override_dh_auto_configure:
	cp -a libbytecode/bytecode.h libbytecode/bytecode.h.save
	dh_auto_configure
	mv libbytecode/bytecode.h.save libbytecode/bytecode.h
