=== debian/changelog ===
f2j (0.8.1+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Add patch for FTBFS w/GCC-15 (Closes: #1096604)
  * Update debian/watch to version 5
  * Remove redundant Rules-Requires-Root from debian/control
  * Bump Standards-Version to 4.7.2
  * Freshen patches for DEP-3 format

  [ Debian Janitor ]
  * Apply multi-arch hints. + libf2j-java: Add Multi-Arch: foreign.

 -- tony mancill <tmancill@debian.org>  Sun, 28 Sep 2025 08:04:04 -0700

f2j (0.8.1+dfsg-5) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Fix build issue with gcc-10
    Closes: #957190

 -- Andreas Tille <tille@debian.org>  Wed, 12 Aug 2020 12:02:31 +0200
