=== debian/control ===
Source: f2j
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               bison,
               javahelper
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/java-team/f2j
Vcs-Git: https://salsa.debian.org/java-team/f2j.git
Homepage: http://sourceforge.net/projects/f2j/

Package: f2j
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Fortran to Java compiler
 The package contains a Fortran to Java converter, also used
 to create the libf2j-java package.
 It converts Fortran file to Java source and class files.

Package: libf2j-java
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: Java library port of Fortran numerical libraries
 The package provides the Java library (APIS)
 to numerical libraries originally
 written in Fortran (particularly BLAS and LAPACK).
