=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,3 @@
 	cp -a libbytecode/bytecode.h libbytecode/bytecode.h.save
 	dh_auto_configure
 	mv libbytecode/bytecode.h.save libbytecode/bytecode.h
-
