=== debian/watch ===
Version: 5

Source: http://sf.net/f2j/
Matching-Pattern: f2j-(.+)\.tgz
Dversionmangle: s/\+dfsg//g
Repacksuffix: +dfsg
